# all content in pages was generated by AI to fill out the space. We must replace it accordingly.

# Megawatt Manual

This repository contains the comprehensive documentation for setting up, operating, and maintaining our bitcoin mining facility. The manual covers everything from hardware and software setup to maintenance and troubleshooting.

## Table of Contents
- [all content in pages was generated by AI to fill out the space. We must replace it accordingly.](#all-content-in-pages-was-generated-by-ai-to-fill-out-the-space-we-must-replace-it-accordingly)
- [Megawatt Manual](#megawatt-manual)
  - [Table of Contents](#table-of-contents)
  - [Introduction](#introduction)
  - [Dependencies](#dependencies)
  - [Installation](#installation)
  - [Usage](#usage)

## Introduction
We are a small bitcoin mining facility with 10 tanks containing varying numbers of Antminer S19s (including k pro, j pro xp, and j models). We use Foreman (foreman.mn) to monitor our farm and Slack for communication. Our infrastructure includes a storage container and two different facilities: one for storage and a primary facility for repairs (fans, chip swaps, cleanings, merges).

## Dependencies
To build and serve the documentation, you need to have the following dependencies installed:

1. **Python** (3.6 or higher)
2. **pip** (Python package installer)
3. **MkDocs** (A static site generator)
4. **MkDocs Material Theme** (Theme for MkDocs)

## Installation
Follow these steps to set up the documentation locally:

1. **Clone the Repository:**
   ```bash
   git clone https://github.com/yourusername/megawatt-manual.git
   cd megawatt-manual

2. **Create a Virtual Environment:**

    ```bash
    python -m venv venv
    source venv/bin/activate  # On Windows use `venv\Scripts\activate`

3. **Install Dependencies:**

    ```bash
    pip install mkdocs mkdocs-material

## Usage
To serve the documentation locally and view it in your browser, run:

  ~~~
  mkdocs serve
  ~~~

This will start a local server at http://127.0.0.1:8000 where you can view the documentation.

To build the static site for deployment, run:

  ~~~ 
  mkdocs build
  ~~~
  
The static site will be generated in the site/ directory.
